Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.validation
Class ConstructChecker

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.validation.ConstructChecker

All Implemented Interfaces:
  ConstructChecker, OWLValidationConstants

public class ConstructChecker
extends Object
implements ConstructChecker, OWLValidationConstants

An implementation of a construct checker.

Version:
  $Id: ConstructChecker.java,v 1.2 2003/12/19 12:04:17 sean_bechhofer Exp $

Field Summary
`protected Set` | `constructs`

Fields inherited from interface org.semanticweb.owl.validation.OWLValidationConstants
`BUILTINREDEFINITION, CARDINALITY, COMPLEMENT, COMPLETE, COMPLEXTRANSITIVE, DATARANGE, DATATYPE, DIFFERENTINDIVIDUAL, DISJOINT, DL, EQUIVALENCE, EQUIVALENTPROPERTY, EXPRESSIONINAXIOM, EXPRESSIONINRESTRICTION, FULL, FUNCTIONAL, INDIVIDUALDATA, INDIVIDUALS, INTERSECTION, INVERSE, INVERSEFUNCTIONAL, LITE, ONEOF, OWLNAMESPACEUSED, PARTIAL, RELATEDINDIVIDUALS, SAMEINDIVIDUAL, SEPARATIONVIOLATION, SUBCLASS, SUBPROPERTY, SYMMETRIC, TRANSITIVE, UNION, UNKNOWN, UNTYPEDINDIVIDUAL, ZEROONECARDINALITY`

Constructor Summary
`ConstructChecker()`

Method Summary
`Set` | `constructsUsed(OWLOntology ontology)` Returns a set of Integers representing the constructs used within an ontology.
`static void` | `main(String[] args)`
`void` | `reset()`
`static List` | `used(Set s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constructs

    protected Set constructs

Constructor Detail

### ConstructChecker

    public ConstructChecker()

Method Detail

### reset

    public void reset()

### constructsUsed

    public Set constructsUsed(OWLOntology ontology)
                       throws OWLException

  Description copied from interface: `ConstructChecker`
  Returns a set of Integers representing the constructs used within an ontology. Constants taken from `OWLValidationConstants`.

  Specified by:
    `constructsUsed` in interface `ConstructChecker`
    `OWLException`

### used

    public static List used(Set s)

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb